> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V1 Generate Singing Photo Maker

> Synthesize audio files (songs/human voices) with photos to generate a lip-sync singing video. The system will automatically drive the mouth shapes, expressions and movements of the characters in the pictures based on the audio content, achieving a natural singing effect.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json post /v1/singing/generate
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/singing/generate:
    post:
      tags:
        - AI-Singing-Photo-Maker
      summary: V1 Generate Singing Photo Maker
      description: >-
        Synthesize audio files (songs/human voices) with photos to generate a
        lip-sync singing video. The system will automatically drive the mouth
        shapes, expressions and movements of the characters in the pictures
        based on the audio content, achieving a natural singing effect.
      operationId: generate_singing_v1_singing_generate_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SingingGenerateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SingingGenerateRequest:
      properties:
        audio_url:
          type: string
          title: Audio Url
          description: >-
            URL of the audio file. Supported: MP3/WAV/M4A. Quality: clear voice,
            minimal noise. Duration must be between 2–30 seconds (business
            validation will enforce).
        image_url:
          type: string
          title: Image Url
          description: >-
            URL of the photo. Supported: JPG/PNG/JFIF. Recommended: clear,
            frontal face. Max size 4.7 MB (business validation will enforce).
      type: object
      required:
        - audio_url
        - image_url
      title: SingingGenerateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````